require 'pg'
require 'yaml'

db = PG::Connection.open(host: "db.altaire.com", user: "postgres", dbname: "fantasia")

db.exec("SELECT name, composefile, fantasiafile, envfile, tags FROM stacks WHERE archived_at IS NULL").each do |row|
  name, compose, fantasia, env, tags = row.values
  compose = YAML.load(compose)
  fantasia = YAML.load(fantasia)
  File.open("data/stacks/#{name}.yml", "w") do |file|
    compose["x-domains"] = fantasia["domains"]
    compose["x-ports"] = fantasia["ports"]
    compose["x-env"] = env.split("\n").map{|l|l.split("=", 2)}.to_h
    file.puts compose.to_yaml
  end
end
