require 'yaml'

module Siren

  class Stack

    attr_reader :things

    def self.load (filename)
      new(YAML.load(File.read(filename)))
    end

    def initialize ()
      @things = []
    end

    def << (thing)
      @things << thing
    end

    def to_yaml ()
      @things.uniq.map do |thing|
        JSON.parse(thing.deep_compact.to_json).to_yaml
      end.join
    end

  end

end
